package elgamal

import (
	"math/big"

	"git.ali33.ru/fcg-xvii/go-tools/json"
)

type KeyPrivate struct {
	d *big.Int
}

func (s *KeyPrivate) Map() json.Map {
	return json.Map{
		"d": s.d,
	}
}

func (s *KeyPrivate) MarshalJSON() ([]byte, error) {
	return s.Map().JSON(), nil
}
