package curve

import "git.ali33.ru/fcg-xvii/go-tools/json"

type KeyPair interface {
	KeyPrivate() KeyPrivate
	KeyPublic() KeyPublic
	MessageEncode(data []byte, args ...any) (Message, error)
	MessageDecode(mes Message, args ...any) ([]byte, error)
	Map() json.Map
}
